Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class TraceManager

    java.lang.Object
      |
      +--org.apache.xalan.trace.TraceManager

public class TraceManager
extends java.lang.Object

This class manages trace listeners, and acts as an interface for the tracing functionality in Xalan.

Constructor Summary
`TraceManager(TransformerImpl transformer)` Constructor for the trace manager.

Method Summary
`void` | `addTraceListener(TraceListener tl)` Add a trace listener for the purposes of debugging and diagnosis.
`void` | `fireGenerateEvent(GenerateEvent te)` Fire a generate event.
`void` | `fireSelectedEvent(Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Fire a selection event.
`void` | `fireSelectedEvent(SelectionEvent se)` Fire a selection event.
`void` | `fireTraceEvent(Node sourceNode, QName mode, ElemTemplateElement styleNode)` Fire a trace event.
`void` | `fireTraceEvent(TracerEvent te)` Fire a trace event.
`boolean` | `hasTraceListeners()` Tell if trace listeners are present.
`void` | `removeTraceListener(TraceListener tl)` Remove a trace listener.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceManager

    public TraceManager(TransformerImpl transformer)

  Constructor for the trace manager.

Method Detail

### addTraceListener

    public void addTraceListener(TraceListener tl)
                          throws java.util.TooManyListenersException

  Add a trace listener for the purposes of debugging and diagnosis.
  Parameters:
    `tl` - Trace listener to be added.

### removeTraceListener

    public void removeTraceListener(TraceListener tl)

  Remove a trace listener.
  Parameters:
    `tl` - Trace listener to be removed.

### fireGenerateEvent

    public void fireGenerateEvent(GenerateEvent te)

  Fire a generate event.

### hasTraceListeners

    public boolean hasTraceListeners()

  Tell if trace listeners are present.

### fireTraceEvent

    public void fireTraceEvent(Node sourceNode,
                               QName mode,
                               ElemTemplateElement styleNode)

  Fire a trace event.

### fireTraceEvent

    public void fireTraceEvent(TracerEvent te)

  Fire a trace event.

### fireSelectedEvent

    public void fireSelectedEvent(Node sourceNode,
                                  ElemTemplateElement styleNode,
                                  java.lang.String attributeName,
                                  XPath xpath,
                                  XObject selection)
                           throws SAXException

  Fire a selection event.

### fireSelectedEvent

    public void fireSelectedEvent(SelectionEvent se)
                           throws SAXException

  Fire a selection event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.